Bug 82699 - text completion "DropDown List & Automatic" does not work
Summary: text completion "DropDown List & Automatic" does not work
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.6.52
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-02 13:37 UTC by Martin Koller
Modified: 2007-09-14 12:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2004-06-02 13:37:57 UTC
Version:           1.6.52 (using KDE 3.2.90 (3.3 alpha1, CVS >= 20040522), compiled sources)
Compiler:          gcc version 3.2.3
OS:                Linux (i686) release 2.4.22

In the To: field composing a new message;
I have a testuser "You User" with email "abc@user.com" in kaddressbook.
In the above mode, I type e.g. "y" to start the name.
I see the dropdown list with this testuser, but immediately the To: input field is erased.
If I continue to type the "o", I suddenly see a highlighted blank and the "o" in the To: field
Comment 1 Edwin Schepers 2004-12-30 23:20:42 UTC
Hi Martin,
assuming that you don't use an alpha version anymore, does this still happen?
Comment 2 David Faure 2005-01-08 13:21:56 UTC
This particular bug seems gone, but "Dropdown List+Automatic" is a bit broken indeed. The auto-inserted part in the lineedit should be selected, here it's not.
Comment 3 Martin Koller 2006-10-28 20:05:39 UTC
Dropdown List+Automatic still does not work correctly (KDE-3.5.5).
Right-click on the To: field, select this mode, start to type "m" simply removes the "m" again. Next "m" does not appear at all. No other typed letter does appear any more.
Comment 4 Christian Schaarschmidt 2006-11-07 19:52:08 UTC
SVN commit 603074 by schaarsc:

address completion redesign
 - lookup: nickname, first/lastname, email, domain
 - disable unsupported completion modes
 - select first item in popup, pick with return

CCBUG: 98691, 76739, 77342, 109798, 107945, 82699


 M  +1 -1      branches/work/kdepim-3.5.5+/libkdepim/Makefile.am  
 M  +174 -70   branches/work/kdepim-3.5.5+/libkdepim/addresseelineedit.cpp  
 M  +21 -3     branches/work/kdepim-3.5.5+/libkdepim/addresseelineedit.h  
 A             branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.cpp   [License: LGPL (v2+)]
 A             branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.h   [License: LGPL (v2+)]
Comment 5 Christian Schaarschmidt 2006-11-25 22:55:56 UTC
SVN commit 607833 by schaarsc:

port of revsion 603074, 605966

address completion redesign
 - lookup: nickname, first/lastname, email, domain
 - disable unsupported completion modes
 - select first item in popup, pick with return

BUG: 98691, 76739, 77342, 109798, 107945, 82699


 M  +6 -1      kdelibs/kabc/scripts/addressee.src.cpp  
 M  +1 -1      kdepim/libkdepim/Makefile.am  
 M  +174 -70   kdepim/libkdepim/addresseelineedit.cpp  
 M  +21 -3     kdepim/libkdepim/addresseelineedit.h  
 A             kdepim/libkdepim/kmailcompletion.cpp   branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.cpp#603074 [License: LGPL (v2+)]
 A             kdepim/libkdepim/kmailcompletion.h   branches/work/kdepim-3.5.5+/libkdepim/kmailcompletion.h#603074 [License: LGPL (v2+)]